/*
	PIP - Platform Independent Primitives
	Introspection module - interface for containers
	Ivan Pelipenko peri4ko@yandex.ru

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "piintrospection_containers.h"
#include "piintrospection_containers_p.h"

#ifdef PIP_INTROSPECTION

__PIINTROSPECTION_SINGLETON_CPP__(Containers)


PIIntrospectionContainersInterface::PIIntrospectionContainersInterface() {
	p = new PIIntrospectionContainers();
}


PIIntrospectionContainersInterface::~PIIntrospectionContainersInterface() {
	delete p;
}


void PIIntrospectionContainersInterface::containerNew(const char * tn, uint isz) {
	p->containerNew(tn, isz);
}


void PIIntrospectionContainersInterface::containerDelete(const char * tn) {
	p->containerDelete(tn);
}


void PIIntrospectionContainersInterface::containerAlloc(const char * tn, ullong cnt) {
	p->containerAlloc(tn, cnt);
}


void PIIntrospectionContainersInterface::containerFree(const char * tn, ullong cnt) {
	p->containerFree(tn, cnt);
}


void PIIntrospectionContainersInterface::containerUsed(const char * tn, ullong cnt) {
	p->containerUsed(tn, cnt);
}


void PIIntrospectionContainersInterface::containerUnused(const char * tn, ullong cnt) {
	p->containerUnused(tn, cnt);
}

#endif
